VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
BusList Class Reference
VST Implementation Helper Classes

List of Busses. More...

`#include <vstbus.h>`

Inheritance diagram for BusList:

## Public Member Functions
| BusList (MediaType type, BusDirection dir)
| Constructor.
MediaType | getType () const
| Returns the BusList Type.
BusDirection | getDirection () const
| Returns the BusList direction.
| OBJ_METHODS (Vst::BusList, FObject)

## Protected Attributes
MediaType | type
BusDirection | direction

## Detailed Description

List of Busses.

## Constructor & Destructor Documentation

## ◆ BusList()

BusList | ( | MediaType | type,
|  | BusDirection | dir )

Constructor.

## Member Function Documentation

## ◆ getType()

MediaType getType | ( |  | ) | const
| inline

Returns the BusList Type.

See MediaType

## ◆ getDirection()

BusDirection getDirection | ( |  | ) | const
| inline

Returns the BusList direction.

See BusDirection

## ◆ OBJ_METHODS()

OBJ_METHODS | ( | Vst::BusList | ,
|  | FObject | )

## Member Data Documentation

## ◆ type

MediaType type
| protected

## ◆ direction

BusDirection direction
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.